TFTPD32 Filename Remote Buffer Overflow Vulnerability

TFTPD32 is prone to a buffer-overflow vulnerability because the application fails to properly bounds-check user-supplied data before storing it in a finite-sized buffer.

An attacker can exploit this issue to cause the application to crash, denying further service to legitimate users. Due to the nature of this issue, the attacker may presumably be able to exploit it for remote code execution.

Version 3.01 is vulnerable.


 

Privacy Statement
Copyright 2010, SecurityFocus